Subject: Re: bug#73768: 'read-passwd-mode' can clobber user defined mode lines

From: martin rudalics <[email-masked]>
Date: Fri, 18 Oct 2024 12:17:34 +0200

before.> I gave it another try. The appended patch dosn't add the password icon
 > to mode-line-format, but to global-mode-string. By this, we don't bother
 > to find the corresponding window to a given minibuffer.

One minor problem exists when using a stand-alone minibuffer frame.
Clicking the icons never works because they appear on another frame and
when you move the mouse there

   (when (minibufferp)

fails.  Basically, clicks work now iff the minibuffer window is selected
and not if the minibuffer window is active as previously.

martin